package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

/**
 * @Description :
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-11-09 10:00
 * @Modify:
 **/
public class ArraySort implements Runnable {

    private String num;

    public ArraySort(int num){
        this.num = num + "";
    }

    public static void main(String[] args){
        int[] num = {11,3,9,5,1,4,15};
        for(int i=0;i<num.length;i++){
            new Thread(new ArraySort(num[i])).start();
        }
    }

    @Override
    public void run() {
        try {
            Thread.sleep(Integer.parseInt(num));
            System.out.println(num);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }
}
